### Enumeration

# Qmi LocLockType

since: 1.28

#### Declaration

    enum Qmi.LocLockType

#### Description [src]

Location engine lock type.

Available since: 1.28

#### Members

`QMI_LOC_LOCK_TYPE_NONE`

  Do not lock any position sessions.

  - Value: `1`
  - Available since: 1.28
`QMI_LOC_LOCK_TYPE_MI`

  Lock mobile-initiated position sessions.

  - Value: `2`
  - Available since: 1.28
`QMI_LOC_LOCK_TYPE_MT`

  Lock mobile-terminated position sessions.

  - Value: `3`
  - Available since: 1.28
`QMI_LOC_LOCK_TYPE_ALL`

  Lock all position sessions.

  - Value: `4`
  - Available since: 1.28

#### Type functions

###### qmi_loc_lock_type_get_string

Gets the nickname string for the `QmiLocLockType` specified at `val`.

since: 1.28